            '_problem_manager_file_name',

    def _problem_manager_file_name(self, *args, **kwargs):
        """
        @generate_notebook: Default True

        doc_style: xv_doc
        """

        sInfo = f"""Processing {self.__class__.__name__}.{inspect.stack()[0][3]}: 
        creating notebook and getting problem from MANAGER_CLASS_NAME
        """
        self._log(sInfo.strip())
        
        
        #create notebook
        generate_notebook = kwargs.get('generate_notebook', True)
        
        if generate_notebook:
            saveToFolder = f"SAVE_TO_FOLDER"
            KmTemplateUtil.CREATE_MANAGER_NOTEBOOK("MANAGER_CLASS_PACKAGE_NAME", 
                                                   "MANAGER_CLASS_NAME", 
                                                   saveToFolder = saveToFolder,
                                                   overwrite = False, 
                                                   verbose = self.verbose)

        #get a problem        
        from MANAGER_CLASS_PACKAGE_NAME import MANAGER_CLASS_NAME
        kwargs['manager_class'] = MANAGER_CLASS_NAME
        kwargs['problem_type'] = None
        kwargs['generate_notebook'] = False
        problemTemplate = self._get_problem_from_a_manager(*args, **kwargs)
        return problemTemplate

        pass


